Subject: [Megaco] ReservedGroup Usage for IPV4-IPv6 calls

From: raj kumaradass <[email-masked]>
Date: Wed, 14 Jul 2010 10:52:36 +0530

Greetings,

Would like to know if the below handling of reservedGroup&underspecified SDP
are valid:

Originating Side MG1(IPV6) -- MGC (supports both IPv4/IPv6) --Terminating
MG2 (IP details Not Yet known)

When there's notification for offhook msg reported from the MG 1, the next
transaction which consists of AddTermination to context, Apply dialtoneSG to
physical term, requset on/flashhook from phy.term and add eph. termination
ctxt.  Along with this, when there's a underspecified SDP to be sent in the
Local SDP, it's mandatory to set the reserveredGroup flag to ON in LCO and
include underspecified sessiondescriptors for IPV4 & IPV6, since the
terminating side support is not known at this point.

Appreciate your inputs.

thanks,
...Raj